# Administration Reference

## vos syncserv

Purpose

Verifies VLDB entries that mention a specified site

Synopsis

    vos syncserv -server <machine name>  [-partition <partition name>]
                 [-cell <cell name>]  [-noauth]  [-localauth]
                 [-verbose]  [-help]

    vos syncs -s <machine name>  [-p <partition name>]
              [-c <cell name>]  [-n]  [-l]  [-v]  [-h]

Description

The vos syncserv command verifies that each volume mentioned in a VLDB entry actually exists at the site indicated in the entry. It checks all VLDB entries that mention a read/write, read-only, or backup site either on any partition on the file server machine specified by the -server argument, or on the one partition specified by the -server and -partition arguments. Note that the command can end up inspecting sites other than those specified by the -server and -partition arguments, if there are versions of the volume at sites other than the one specified.

The command alters any incorrect information in the VLDB, unless there is an irreconcilable conflict with other VLDB entries. In that case, it writes a message to the standard error stream instead. The command never removes volumes from file server machines.

To achieve complete VLDB consistency, first run the vos syncvldb command on all file server machines in the cell, then run this command on all file server machines in the cell.

Options

-server
  Identifies the file server machine mentioned in each VLDB entry to check. Provide the machine's IP address or its host name (either fully qualified or using an unambiguous abbreviation). For details, see the introductory reference page for the vos command suite.

-partition
  Identifies the partition mentioned in each VLDB entry to check. Provide the partition's complete name with preceding slash (for example, /vicepa) or use one of the three acceptable abbreviated forms. For details, see the introductory reference page for the vos command suite.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory vos reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the introductory vos reference page.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see the introductory vos reference page.

-verbose
  Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following example verifies the VLDB entries in which a site definition mentions the file server machine fs3.abc.com.

       % vos syncserv -server fs3.abc.com

Privilege Required

The issuer must be listed in the /usr/afs/etc/UserList file on the machine specified with the -server argument and on each database server machine. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser root.

Related Information

vos

vos syncvldb

© IBM Corporation 2000. All Rights Reserved